- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.managers.revisions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.managers.revisions/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.managers.revisions/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.managers.revisions/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.managers.revisions/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.managers.revisions/list#body.ListIntegrationManagerRevisionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.managers.revisions/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.managers.revisions/list#body.aspect_1)

**Full name**: projects.locations.instances.integrations.managers.revisions.list

Lists all revisions for a specific manager. Use this method to browse the version history and identify previous functional states of manager.

### HTTP request

`GET https://{endpoint}/v1beta/{parent}/revisions`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list IntegrationManagerRevisions for. Format: projects/{project}/locations/{location}/instances/{instance}/integrations/{integration}/managers/{manager} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of IntegrationManagerRevisions to return. The service may return fewer than this value. |
| `pageToken` | `string` Optional. A page token, received from a previous `revisions.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `revisions.list` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter that can be used to filter the list of revisions. |
| `orderBy` | `string` Optional. A field that can be used to sort the list of revisions. |

### Request body

The request body must be empty.

### Response body

ListIntegrationManagerRevisionsResponse contains the list of the specific manager's IntegrationManagerRevisions.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "revisions": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.managers.revisions#IntegrationManagerRevision`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `revisions[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.managers.revisions#IntegrationManagerRevision`)`` The list of IntegrationManagerRevisions. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` Output only. Total number of revisions for the manager. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.managerRevisions.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).